/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.vo
{
import com.adobe.cairngorm.vo.IValueObject;

/**
 * Defines a level.
 */
[RemoteClass(alias="org.ow2.jasmine.monitoring.eos.notification.service.exchange.LevelSetting")]
[Bindable]
public class LevelSettingVO implements IValueObject
{
	public function LevelSettingVO()
	{
		
	}
	
	/**
	 * The level.
	 */
	private var levelObj:String = null;

	
	/**
	 * The color associated to this level.
	 */ 
    private var colorObj:String  = null;
    
    
    ///////////////////////////////////////////////////////////////////////////
    //
    // Setters, Getters
    //
    ///////////////////////////////////////////////////////////////////////////
    
    public function set level(_level:String) : void {
    	this.levelObj = _level;
    }
    
    public function get level() : String {
    	return this.levelObj;
    }
    
    public function set color(_color:String) : void {
    	this.colorObj = _color;
    }
    
    public function get color() : String {
    	return this.colorObj;
    }

}
}